type: dictionary
additionalProperties: false
properties:
  'inactivityTimeout': { type: integer, required: true }
  'name': { type: [string, 'null'], required: true }
  'garbageCollection':
    type: dictionary
    required: true
    additionalProperties: false
    properties:
      'probability': { type: integer, required: true }
      'maximumPerRun': { type: integer, required: true }
  'cookie':
    type: dictionary
    required: true
    additionalProperties: false
    properties:
      'lifetime': { type: integer }
      'path': { type: string }
      'secure': { type: boolean }
      'httponly': { type: boolean }
      'domain': { type: [ string, 'null' ] }
      'samesite': { type: [ string, 'null' ] }
